#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	shadow
Version		:	4.14.2
Release		:	14.8.0.0%{?dist}
Summary		:	Shadow password file utilities for Linux
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+ and BSD
URL		:	https://github.com/shadow-maint/shadow

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
%description
This package includes the programs necessary to convert traditional
V7 UNIX password files to the SVR4 shadow password format and additional
tools to work with shadow passwords.
	- 'pwconv' converts everything to the shadow password format.
	- 'pwunconv' converts back to non-shadow passwords.
	- 'pwck' checks the integrity of the password and shadow files.
	- 'lastlog' prints out the last login times of all users.
	- 'useradd', 'userdel', 'usermod' to manage user accounts.
	- 'groupadd', 'groupdel', 'groupmod' to manage groups.

A number of man pages are also included that relate to these utilities,
and shadow passwords in general.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README NEWS COPYING
%dir %{_sysconfdir}/default
%config %{_sysconfdir}/default/useradd
%config %{_sysconfdir}/login.defs
%{_includedir}/%{name}/subid.h
%{_sysconfdir}/limits
%{_sysconfdir}/login.access
/bin/groups
/bin/login
/bin/su
/bin/getsubids
/sbin/nologin
%{_bindir}/chage
%{_bindir}/chfn
%{_bindir}/chsh
%{_bindir}/expiry
%{_bindir}/faillog
%{_bindir}/gpasswd
%{_bindir}/lastlog
%{_bindir}/newgidmap
%{_bindir}/newgrp
%{_bindir}/newuidmap
%{_bindir}/passwd
%{_bindir}/sg
%{_sbindir}/chgpasswd
%{_sbindir}/chpasswd
%{_sbindir}/groupadd
%{_sbindir}/groupdel
%{_sbindir}/groupmems
%{_sbindir}/groupmod
%{_sbindir}/grpck
%{_sbindir}/grpconv
%{_sbindir}/grpunconv
%{_sbindir}/logoutd
%{_sbindir}/newusers
%{_sbindir}/pwck
%{_sbindir}/pwconv
%{_sbindir}/pwunconv
%{_sbindir}/useradd
%{_sbindir}/userdel
%{_sbindir}/usermod
%{_sbindir}/vigr
%{_sbindir}/vipw
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz

#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

#removing call to selinux
sed -i							\
  -e "/pam_selinux.so/d"				\
  etc/pam.d/{su,login}

#set default password encrypttion to SHA-512
sed -i							\
  -e 's@#ENCRYPT_METHOD DES@ENCRYPT_METHOD SHA512@'	\
  -e '/^UID_MIN/s:1000: 300:'				\
  -e '/^GID_MIN/s:1000: 300:'				\
  -e 's@PATH=/sbin:/bin:@PATH=@'			\
  -e 's@PATH=/bin:@PATH=@'				\
  etc/login.defs

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--with-group-name-max-length=32			\
	--with-selinux=no				\
	--with-libpam=no				\
	--enable-lastlog=yes				\
	--disable-shared 				\
	--disable-nls					\
	--without-libbsd				\
	--with-yescrypt					\
	--with-bcrypt					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
%{__make} DESTDIR=%{buildroot} -C man install

%{__mkdir_p} %{buildroot}%{_sysconfdir}/default
%{__cp} -a 							\
	%{name}-ok_addon/useradd.defaults			\
	%{buildroot}%{_sysconfdir}/default/useradd


#To remove libtool library and static library
find 								\
	%{buildroot}%{_libdir}					\
	\(							\
		 -name \*.la					\
		 -o						\
		 -name \*.a					\
	 \)							\
	-delete

#-----------------------------------------------------------------------------
%changelog
